---
deprecated: true
search:
  tags:
    - Images
    - PUT
seo:
  description: >-
    Creates a new relationship between an… Reference for the PUT
    /api/v1/{team_slug}/{app_slug}/images/{image_id}/relationship endpoint in
    the Management API.
sidebar:
  label: Create image relationship
  badge: PUT
title: Create image relationship
type: openapi-operation
---
Creates a new relationship between an image and a product or variant with optional priority ordering
Deprecated: use PUT /api/v2/&#123;team_slug&#125;/&#123;app_slug&#125;/dam/images/items instead.

`PUT /api/v1/{team_slug}/{app_slug}/images/{image_id}/relationship`

**Deprecated.**

**Request body** (`application/json`, required)

Image relationship data

- `item_id` (string, required)
- `item_type` (string, required)
- `priority` (integer) — Priority of the image, i.e. the order in which it should be displayed

Request body example:

```json
{
  "item_id": "string",
  "item_type": "product",
  "priority": 1
}
```

**Responses**

- `200` — Image deleted successfully
- `400` — Invalid request
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": "string",
  "details": [
    "string"
  ],
  "success": true
}
```
